Bug 1440040 - CNS deploy tool should support both OCP 3.4 and OCP 3.5
Summary: CNS deploy tool should support both OCP 3.4 and OCP 3.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: cns-deploy-tool
Version: cns-3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: CNS 3.5
Assignee: Humble Chirammal
QA Contact: Prasanth
URL:
Whiteboard:
Depends On:
Blocks: 1415600
TreeView+ depends on / blocked
 
Reported: 2017-04-07 08:17 UTC by Humble Chirammal
Modified: 2018-11-19 09:34 UTC (History)
9 users (show)

Fixed In Version: cns-deploy-4.0.0-13.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-20 18:29:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1112 normal SHIPPED_LIVE cns-deploy-tool bug fix and enhancement update 2017-04-20 22:25:47 UTC

Description Humble Chirammal 2017-04-07 08:17:49 UTC
Description of problem:


Latest cns-deploy tool did not work in OCP 3.4 as expected as there are some minor changes in 2 lines of the code w.r.t flags [1] (-v 'value' deprecated and replaced with -p 'param').

changed from:
- eval_output "${CLI} process -p HEKETI_ADMIN_KEY=${ADMIN_KEY} -p HEKETI_USER_KEY=${USER_KEY} deploy-heketi | ${CLI} create -f - 2>&1"
- eval_output "${CLI} process -p HEKETI_ADMIN_KEY=${ADMIN_KEY} -p HEKETI_USER_KEY=${USER_KEY} heketi | ${CLI} create -f - 2>&1"


Version-Release number of selected component (if applicable):

cns-deploy

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 5 Humble Chirammal 2017-04-07 08:55:41 UTC
https://github.com/gluster/gluster-kubernetes/pull/244

Comment 6 Prasanth 2017-04-12 11:20:17 UTC
Verified as fixed in cns-deploy-4.0.0-13.el7rhgs

Comment 8 errata-xmlrpc 2017-04-20 18:29:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1112

Comment 9 Sri Vignesh Selvan 2018-11-19 09:34:57 UTC
These version of OCP are not supported now, moving qe coverage to -.


Note You need to log in before you can comment on or make changes to this bug.